org.sqlite.core

## Interface SafeStmtPtr.SafePtrDoubleFunction<E extends Throwable>

Enclosing class:
  SafeStmtPtr

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface SafeStmtPtr.SafePtrDoubleFunction<E extends Throwable>

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `run(DB db, long ptr)`

### Method Detail

#### run

    double run(DB db,
               long ptr)
        throws E extends Throwable

Throws:
  `E extends Throwable`